## python-asv-runner 0.2.1

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile docs/requirements.in
#
alabaster==0.7.13
    # via sphinx
astroid==2.15.6
    # via sphinx-autodoc2
babel==2.12.1
    # via sphinx
beautifulsoup4==4.12.2
    # via furo
certifi==2023.7.22
    # via requests
charset-normalizer==3.2.0
    # via requests
colorama==0.4.6
    # via sphinx-autobuild
docutils==0.20.1
    # via
    #   myst-parser
    #   sphinx
furo==2023.8.19
    # via -r docs/requirements.in
idna==3.4
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.2
    # via
    #   myst-parser
    #   sphinx
lazy-object-proxy==1.9.0
    # via astroid
livereload==2.6.3
    # via sphinx-autobuild
markdown-it-py==3.0.0
    # via
    #   mdit-py-plugins
    #   myst-parser
markupsafe==2.1.3
    # via jinja2
mdit-py-plugins==0.4.0
    # via myst-parser
mdurl==0.1.2
    # via markdown-it-py
myst-parser==2.0.0
    # via -r docs/requirements.in
packaging==23.1
    # via sphinx
pyenchant==3.2.2
    # via sphinxcontrib-spelling
pygments==2.16.1
    # via
    #   furo
    #   sphinx
pyyaml==6.0.1
    # via myst-parser
requests==2.31.0
    # via sphinx
six==1.16.0
    # via livereload
snowballstemmer==2.2.0
    # via sphinx
soupsieve==2.4.1
    # via beautifulsoup4
sphinx==7.2.2
    # via
    #   -r docs/requirements.in
    #   furo
    #   myst-parser
    #   sphinx-autobuild
    #   sphinx-basic-ng
    #   sphinx-contributors
    #   sphinx-copybutton
    #   sphinx-design
    #   sphinxcontrib-applehelp
    #   sphinxcontrib-devhelp
    #   sphinxcontrib-htmlhelp
    #   sphinxcontrib-qthelp
    #   sphinxcontrib-serializinghtml
    #   sphinxcontrib-spelling
sphinx-autobuild==2021.3.14
    # via -r docs/requirements.in
sphinx-autodoc2==0.4.2
    # via -r docs/requirements.in
sphinx-basic-ng==1.0.0b2
    # via furo
sphinx-contributors==0.2.7
    # via -r docs/requirements.in
sphinx-copybutton==0.5.2
    # via -r docs/requirements.in
sphinx-design==0.5.0
    # via -r docs/requirements.in
sphinxcontrib-applehelp==1.0.7
    # via sphinx
sphinxcontrib-devhelp==1.0.5
    # via sphinx
sphinxcontrib-htmlhelp==2.0.4
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.6
    # via sphinx
sphinxcontrib-serializinghtml==1.1.8
    # via sphinx
sphinxcontrib-spelling==8.0.0
    # via -r docs/requirements.in
tomli==2.0.1
    # via sphinx-autodoc2
tornado==6.3.3
    # via livereload
typing-extensions==4.7.1
    # via
    #   astroid
    #   sphinx-autodoc2
urllib3==2.0.4
    # via requests
wrapt==1.15.0
    # via astroid

=== debian/changelog ===
python-asv-runner (0.2.1-3) unstable; urgency=medium

  * Team Upload
  * Drop usage of python3-importlib-metadata

 -- Alexandre Detiste <tchet@debian.org>  Sat, 10 May 2025 20:09:05 +0200

python-asv-runner (0.2.1-2) unstable; urgency=medium

  * Source-only upload.
  * d/control: Bumped Standards-Version to 4.7.0.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Tue, 23 Apr 2024 01:30:00 +0000

python-asv-runner (0.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1068434)

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Wed, 10 Apr 2024 19:15:00 +0000

=== debian/control ===
Source: python-asv-runner
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Yogeswaran Umasankar <kd8mbd@gmail.com>
Homepage: https://github.com/airspeed-velocity/asv_runner
Vcs-Git: https://salsa.debian.org/python-team/packages/python-asv-runner.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-asv-runner
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-all,
               python3-pdm-backend,
               python3-sphinx <!nodoc>,
               furo <!nodoc>,
               python3-sphinx-copybutton <!nodoc>,
               python3-sphinx-autobuild <!nodoc>,
               python3-sphinx-contributors <!nodoc>,
               python3-sphinx-design <!nodoc>,
               python3-sphinxcontrib.spelling <!nodoc>,
               python3-myst-parser <!nodoc>,
               python3-sphinx-autodoc2 <!nodoc>,
               python3-doc <!nodoc>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild

Package: python3-asv-runner
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Core Python benchmark code for ASV
 ASV Runner provides essential functionality for benchmarking
 Python packages with ease and efficiency.

Package: python-asv-runner-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Documentation for python-asv-runner
 ASV Runner provides essential functionality for benchmarking
 Python packages with ease and efficiency.
 .
 This package contains documentation for asv-runner.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=asv-runner
export PDM_BUILD_SCM_VERSION=0.2.1

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	https_proxy='127.0.0.1:9' sphinx-build -b html docs/source build/sphinx/html
	dh_installdocs -ppython-asv-runner-doc --doc-main-package=python-asv-runner-doc build/sphinx/html
	dh_installdocs

override_dh_auto_clean:
	-rm -r .pdm-build/*
	-rm -r .pybuild/*
	-rm -r .pc/*
	-rm -r build/*

=== debian/watch ===
version=4
https://github.com/airspeed-velocity/asv_runner/tags .*/v(\d\S+[^rc]\d+)\.tar\.gz
